﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.Linq;
using System.Data;
using System.Web.Script.Serialization;

namespace EJGrid.Controllers
{
    
    public class HomeController : Controller
    {
            
        public ActionResult Index()
        {
            var DataSource = GetDataTale();
            var datalist = DataTableToJSON(DataSource);
            ViewBag.datasource = datalist;
            return View();
        }
       
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
        private DataTable GetDataTale()
        {
            DataTable dt = new DataTable("Table");
            dt.Columns.AddRange(new DataColumn[4] {
                            new DataColumn("pictureURL", typeof(string)),
                            new DataColumn("Id", typeof(int)),
                            new DataColumn("Name", typeof(string)),
                            new DataColumn("Qty",typeof(string)) });
          DataRow dr = null;
            
            for (int i = 0; i <= 10000; i++)
            {
                dr = dt.NewRow();
                dr[0] = "<img src ='../ejThemes/Employee/6.png'>";
                dr[1] = i;
                dr[2] = "Product Name " + i.ToString();
                dr[3] = "Qty" + i.ToString();
                dt.Rows.Add(dr);
            }
            return dt;
        }
        public static object DataTableToJSON(DataTable Table)
        {
            var list = new List<Dictionary<string, object>>();

            foreach (DataRow row in Table.Rows)
            {
                var dict = new Dictionary<string, object>();

                foreach (DataColumn col in Table.Columns)
                {
                    dict[col.ColumnName] = (Convert.ToString(row[col]));
                }
                list.Add(dict);
            }
            JavaScriptSerializer serializer = new JavaScriptSerializer();
            string serialize = serializer.Serialize(list);
            var data = serializer.Deserialize<IEnumerable<object>>(serialize);

            return data;
        }
     }
}